#
# Conditional build:
%bcond_with	pgo		# disable profile guided optimizations

Summary:	A fast, lightweight and minimalistic Wayland terminal emulator
Name:		foot
Version:	1.13.1
Release:	1
License:	MIT
Group:		Applications/Terminal
Source0:	https://codeberg.org/dnkl/foot/archive/%{version}.tar.gz
# Source0-md5:	af8dcc45e4a2c68282d46fce1910d313
Patch0:		x32.patch
URL:		https://codeberg.org/dnkl/foot/
BuildRequires:	fcft-devel < 4.0.0
BuildRequires:	fcft-devel >= 3.0.1
BuildRequires:	fontconfig-devel
BuildRequires:	libutf8proc-devel
BuildRequires:	meson >= 0.58.0
BuildRequires:	ninja
BuildRequires:	pixman-devel
BuildRequires:	pkgconfig
BuildRequires:	python3
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	scdoc
BuildRequires:	systemd-devel
BuildRequires:	tllist-devel >= 1.0.4
BuildRequires:	wayland-devel
BuildRequires:	wayland-protocols >= 1.21
BuildRequires:	xorg-lib-libxkbcommon-devel >= 1.0.0
%if %{with pgo}
BuildRequires:	cage
BuildRequires:	fonts-TTF-DejaVu
%endif
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires:	fcft < 4.0.0
Requires:	fcft >= 3.0.1
Requires:	hicolor-icon-theme
Requires:	terminfo >= 6.2.20210731
Requires:	xorg-lib-libxkbcommon >= 1.0.0
Obsoletes:	terminfo-foot < 1.10.3-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A fast, lightweight and minimalistic Wayland terminal emulator.

%package -n bash-completion-foot
Summary:	Bash completion for foot command line
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion >= 1:2.0
BuildArch:	noarch

%description -n bash-completion-foot
Bash completion for foot command line.

%package -n fish-completion-foot
Summary:	fish-completion for foot
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	fish
BuildArch:	noarch

%description -n fish-completion-foot
fish-completion for foot.

%description -n fish-completion-foot -l pl.UTF-8
Pakiet ten dostarcza uzupełnianie nazw w fish dla foot.

%package -n zsh-completion-foot
Summary:	ZSH completion for foot command line
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	zsh
BuildArch:	noarch

%description -n zsh-completion-foot
ZSH completion for foot command line.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
%meson build \
	%{?with_pgo:-Db_pgo=generate} \
	-Dterminfo=disabled

%ninja_build -C build

%if %{with pgo}
%ninja_test -C build

./pgo/full-headless-cage.sh . build

%__meson configure build \
	-Db_pgo=use

%ninja_build -C build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%update_icon_cache hicolor

%postun
%update_desktop_database_postun
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md README.md
%dir %{_sysconfdir}/xdg/foot
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/foot/foot.ini
%attr(755,root,root) %{_bindir}/foot
%attr(755,root,root) %{_bindir}/footclient
%{systemduserunitdir}/foot-server@.service
%{systemduserunitdir}/foot-server@.socket
%{_datadir}/foot
%{_desktopdir}/foot.desktop
%{_desktopdir}/foot-server.desktop
%{_desktopdir}/footclient.desktop
%{_iconsdir}/hicolor/*/apps/foot.png
%{_iconsdir}/hicolor/scalable/apps/foot.svg
%{_mandir}/man1/foot.1*
%{_mandir}/man1/footclient.1*
%{_mandir}/man5/foot.ini.5*
%{_mandir}/man7/foot-ctlseqs.7*

%files -n bash-completion-foot
%defattr(644,root,root,755)
%{bash_compdir}/foot
%{bash_compdir}/footclient

%files -n fish-completion-foot
%defattr(644,root,root,755)
%{fish_compdir}/foot.fish
%{fish_compdir}/footclient.fish

%files -n zsh-completion-foot
%defattr(644,root,root,755)
%{zsh_compdir}/_foot
%{zsh_compdir}/_footclient
%changelog
* Fri Sep 02 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/foot.git;a=log;h=master

* Fri Sep 02 2022 Jan Palus <atler@pld-linux.org> 30a9611
- up to 1.13.1

* Wed Aug 17 2022 Jan Palus <atler@pld-linux.org> f6cf119
- Release 2 (by relup.sh)

* Sun Aug 07 2022 Jan Palus <atler@pld-linux.org> 26a07e1
- correct bash-completion epoch

* Sun Aug 07 2022 Jan Palus <atler@pld-linux.org> 1ce2493
- up to 1.13.0

* Sat Apr 30 2022 Jan Palus <atler@pld-linux.org> 4086f0c
- up to 1.12.1

* Mon Mar 21 2022 Jan Palus <atler@pld-linux.org> 0848c87
- disable pgo by default since it requires pty

* Mon Mar 21 2022 Jan Palus <atler@pld-linux.org> c4dad64
- add support for pgo build; rel 3

* Thu Feb 10 2022 Jan Palus <atler@pld-linux.org> c0a37c1
- fix build on x32; rel 2

* Mon Feb 07 2022 Jan Palus <atler@pld-linux.org> dd9ae38
- up to 1.11.0

* Tue Dec 14 2021 Jan Palus <atler@pld-linux.org> ffd6bfc
- drop terminfo subpackage; rel 2

* Mon Dec 13 2021 Jan Palus <atler@pld-linux.org> ff78df8
- new

